Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 22 Jan 2022 21:32:33 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I placed a return request on 11 December same day as i received my order #9518269629 for 2 items. I contacted customer service through WhatsApp 2 times regarding the return and still nobody picked it up 20 December,  23 December but they only placed a new return request. Today i decided to return it in store but, it wasn't showing in their system since a placed return request online. So i contacted the 800 number to cancel my return request onlibe, but was told if i cancel i wont be able to return in store...since my 14 days for return is over.

So now again.....14 days after my return request....the customer service placed a 4th return request. What kind of service is this??? I want my money back. Refund my money to my credit card please.....and then solve your costumer service promblems internally....and get a good delivery/pickup company. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3659487